List:General Discussion« Previous MessageNext Message »
From:Paul DuBois Date:June 9 2001 12:54pm
Subject:Re: Can not install
View as plain text  
>From: root <root@stripped>

Lookks like your mailer is misconfigured...


At 11:38 PM -0400 6/8/01, root wrote:
>  >Description:
>	I was installing MySQL on my Red Hat 7.1 server; I tried both 
>the RPM and the tar.gz format. No matter what, though, I don't have 
>mysqladmin or safe_mysqld files anywhere. I imagine that there are 
>several other things missing as well. Note that when I try to run 
>make with the tar source it gives me the following error message:
>make: *** No targets specified and no makefile found. Stop.
>I have no errors whatsoever with the RPM format. It just doesn't 
>work. The daemon appears to be running, but I can't set passwords or 
>anything like that. Any idea how I can fix this?
>>How-To-Repeat:
>	For the RPM, MySQL-3.23.38-1.i386.rpm:
>rpm -i MySQL-3.23.38-1.i386.rpm

You have installed only the RPM that contains the server.  A different
RPM contains the clients.

http://www.mysql.com/doc/L/i/Linux-RPM.html

>	For the tar:
>tar zxvf mysql-3.23.32.tar.gz
>groupadd mysql
>useradd -g mysql mysql
>./configure --prefix=/usr/local/mysql
>make

Don't know what happened here.  From the description at the beginning
of your message I was thinking you must have skipped the configure
step.  But if you ran it, you should have a valid Makefile.

>  >Fix:
>
>
>>Submitter-Id:	aciel@stripped
>>Originator:	root
>>Organization:
>
>>MySQL support: [none | licence | email support | extended email support ]
>>Synopsis:	Can not install
>>Severity:	critical
>>Priority:	high
>>Category:	mysql
>>Class:		support
>>Release:	mysql-3.23.38 (Official MySQL RPM)
>
>>Environment:
>	Intel Pentium III 450MHz, 256MB RAM, Red Hat Linux 7.1, fully up2date
>System: Linux darkchapter 2.4.2-2 #1 Sun Apr 8 20:41:30 EDT 2001 i686 unknown
>Architecture: i686
>
>Some paths:  /usr/bin/perl /usr/bin/make /usr/bin/gmake /usr/bin/gcc 
>/usr/bin/cc
>GCC: Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
>gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-81)
>Compilation info: CC='egcs'  CFLAGS='-O6 -fno-omit-frame-pointer 
>-mpentium'  CXX='egcs'  CXXFLAGS='-O6 -fno-omit-frame-pointer 
>-felide-constructors -fno-exceptions -fno-rtti -mpentium'  LDFLAGS=''
>LIBC:
>lrwxrwxrwx    1 root     root           13 May  6 17:51 
>/lib/libc.so.6 -> libc-2.2.2.so
>-rwxr-xr-x    1 root     root      1236396 Apr  6 17:58 /lib/libc-2.2.2.so
>-rw-r--r--    1 root     root     26350254 Apr  6 15:27 /usr/lib/libc.a
>-rw-r--r--    1 root     root          178 Apr  6 15:27 /usr/lib/libc.so
>Configure command: ./configure  --disable-shared 
>--with-mysqld-ldflags=-all-static --with-client-ldflags=-all-static 
>--without-berkeley-db --without-innodb --enable-assembler 
>--with-mysqld-user=mysql 
>--with-unix-socket-path=/var/lib/mysql/mysql.sock --prefix=/ 
>--with-extra-charsets=complex --exec-prefix=/usr 
>--libexecdir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share 
>--localstatedir=/var/lib/mysql --infodir=/usr/info 
>--includedir=/usr/include --mandir=/usr/man '--with-comment=Official 
>MySQL RPM'


-- 
Paul DuBois, paul@stripped
Thread
Can not installroot9 Jun
  • Re: Can not installPaul DuBois9 Jun